Page MenuHomeFreeBSD

mail/py-pymailq: Update to 0.9.0
ClosedPublic

Authored by loader on Mar 17 2018, 4:18 PM.

Details

Summary

Proposed commit log message:

mail/py-pymailq: Update to 0.9.0

- Use setup.py to install the man page

Reviewed_by: koobs
Approved by: koobs (ports)
Differential_Revision: D14722
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 1200060, [armv7, aarch64], '', [py27, py36] tested)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs requested changes to this revision.Mar 18 2018, 10:01 AM
koobs added inline comments.
mail/py-pymailq/files/patch-setup.py
14 ↗(On Diff #40384)

What was the issue here? The change isn't noted in the commit log message

This revision now requires changes to proceed.Mar 18 2018, 10:01 AM
mail/py-pymailq/files/patch-setup.py
14 ↗(On Diff #40384)

The man page file was moved from setup.py data_files to Makefile, so it could be installed for different Python versions.

post-install:
	​        ${INSTALL_MAN} ${WRKSRC}/man/pqshell.1 ${STAGEDIR}${MANPREFIX}/man/man1/pqshell-${PYTHON_VER}.1
.if ${PYTHON_VERSION} == ${PYTHON_DEFAULT_VERSION}
	​        ${LN} -sf pqshell-${PYTHON_VER}.1 ${STAGEDIR}${MANPREFIX}/man/man1/pqshell.1
​.endif

matt@ has committed a patch to handle man page files:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220214

It's okay to let setup.py install the man page file now.

koobs added inline comments.
mail/py-pymailq/files/patch-setup.py
14 ↗(On Diff #40384)

Feel free to give it a go adding the new [1] uniquefiles man page handling feature support to Uses/python.mk now that it has landed

[1] https://svnweb.freebsd.org/changeset/ports/456737

This revision is now accepted and ready to land.Mar 19 2018, 5:12 AM
This revision was automatically updated to reflect the committed changes.